## libmatroska-20030622.tar.bz2

=== test/Makefile ===
## libmatroska Makefile
## (c) 2002 Steve Lhomme
## This software is licensed under the LGPL, see LGPL.txt

all: endian
	echo "Making endianess tests"
	(cd endian; make)
clean:
	echo "Cleaning all tests"
	(cd endian; make $@)
